Subject: Re: [PATCH v3 2/2] Move git-dir for submodules

From: Fredrik Gustafsson <[email-masked]>
Date: Mon, 15 Aug 2011 17:14:35 +0200

On Mon, Aug 15, 2011 at 10:30:19AM -0400, Marc Branchaud wrote:
> On 11-08-12 03:55 PM, Fredrik Gustafsson wrote:
> > 
> > This patch will not affect already cloned submodules at all.
> 
> My question is perhaps a bit beyond the scope of this series...
> 
> Is there going to be a way to migrate submodules to the new layout?  If the
> eventual goal is to be able to delete & restore submodule working
> directories, it would be nice if that could work with submodules cloned by an
> older git.
> 

That's not planned as far as I know. However, a new clone will do that,
(and of course it's quite easy to do it manually).

When git supports to delete and restore submodules that will not be done
if there isn't a .git-FILE in the submodule.

--
Med vänliga hälsningar
Fredrik